POSTgetSignaturesForAddress

Returns signatures for confirmed transactions that include the given address in their accountKeys list. Returns signatures backwards in time from the provided signature or most recent confirmed block

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
paramsstringrequired

It contains following items:

  1. Account address (required)
  2. ConfigurationObject (optional)

Account address as base-58 encoded string

Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

signaturestring

Transaction signature as base-58 encoded string

slotinteger (uint64)

The slot that contains the block with the transaction

errobject

Error if transaction failed, null if transaction succeeded.

memostring

Memo associated with the transaction, null if no memo is present

blockTimeinteger (int64)

Estimated production time, as Unix timestamp (seconds since the Unix epoch) of when transaction was processed. null if not available.

confirmationStatusstring (enum)

The transaction's cluster confirmation status; Either processed, confirmed, or finalized.

  • processed - the transaction has been processed by the cluster
  • confirmed - the transaction has been confirmed by the cluster
  • finalized - the transaction has been finalized by the cluster
X-API-KEY
RequestCU40
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getSignaturesForAddress",
  "params": [
    "Vote111111111111111111111111111111111111111",
    {
      "commitment": "finalized",
      "limit": 1
    }
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": [
    {
      "signature": "5h6xBEauJ3PK6SWCZ1PGjBvj8vDdWG3KpwATGy1ARAXFSDwt8GFXM7W5Ncn16wmqokgpiKRLuS83KUxyZyv2sUYv",
      "slot": 114,
      "err": null,
      "memo": null,
      "blockTime": null,
      "confirmationStatus": "finalized"
    }
  ],
  "id": 1
}